## glbsp 2.20

=== Makefile ===
#
# glBSP Makefile for UNIX/Cmdline
#

MAIN=.
SYSDIR=cmdline
SRC_DIR=glbsp-2.20

PROGNAME=glbsp

CC=cc
CFLAGS=-O2 -Wall -DGLBSP_TEXT -DUNIX -DINLINE_G=inline
LIBS=-lm -lz

OBJS=$(SYSDIR)/main.o     \
     $(SYSDIR)/display.o  \
     $(MAIN)/analyze.o    \
     $(MAIN)/blockmap.o   \
     $(MAIN)/glbsp.o      \
     $(MAIN)/level.o      \
     $(MAIN)/node.o       \
     $(MAIN)/reject.o     \
     $(MAIN)/seg.o        \
     $(MAIN)/system.o     \
     $(MAIN)/util.o       \
     $(MAIN)/wad.o


# ----- TARGETS ------------------------------------------------------

all:    $(PROGNAME)

clean:
	rm -f $(PROGNAME) $(MAIN)/*.o $(SYSDIR)/*.o
	rm -f $(MAIN)/core $(SYSDIR)/core $(MAIN)/glbsp.txt
	rm -f $(MAIN)/gb_debug.txt $(SYSDIR)/gb_debug.txt

$(PROGNAME): $(OBJS)
	$(CC) $(CFLAGS) $(OBJS) -o $(PROGNAME) $(LIBS)

bin: all
	strip --strip-unneeded $(PROGNAME)
	cat $(MAIN)/README.txt $(MAIN)/USAGE.txt $(MAIN)/CHANGES.txt > $(MAIN)/glbsp.txt

install: bin
	cp $(PROGNAME) /usr/bin/$(PROGNAME)
	chown root /usr/bin/$(PROGNAME)
	chmod 755 /usr/bin/$(PROGNAME)
	cp $(MAIN)/glbsp.1 /usr/share/man/man1/glbsp.1
	chmod 644 /usr/share/man/man1/glbsp.1

.PHONY: all clean bin install


# ----- RELEASE CRUD -----------------------------------------------

TEXT_LIST=$(SRC_DIR)/*.[ch]*   \
          $(SRC_DIR)/*.txt     \
          $(SRC_DIR)/*.[1-9]   \
          $(SRC_DIR)/Make*     \
          $(SRC_DIR)/Cmdline*  \
          $(SRC_DIR)/Plugin*   \
          $(SRC_DIR)/GUI*      \
          $(SRC_DIR)/cmdline/*.[ch]*    \
          $(SRC_DIR)/fltk/*.[ch]*   \
          $(SRC_DIR)/fltk/*.r       \
          $(SRC_DIR)/fltk/*.r[ch]   \
          $(SRC_DIR)/fltk/*.desktop  \
          $(SRC_DIR)/fltk/*.xpm  \
          $(SRC_DIR)/fltk/glBSPX.app/Contents/Info.plist

BIN_LIST=$(SRC_DIR)/fltk/*.ico  \
         $(SRC_DIR)/fltk/glBSPX.app/Contents/PkgInfo  \
         $(SRC_DIR)/fltk/glBSPX.app/Contents/Resources/glbspx.icns

DIR_LIST=$(SRC_DIR)/cmdline   \
         $(SRC_DIR)/cmdline/obj  \
         $(SRC_DIR)/plugin    \
         $(SRC_DIR)/fltk  \
         $(SRC_DIR)/fltk/glBSPX.app  \
         $(SRC_DIR)/fltk/glBSPX.app/Contents  \
         $(SRC_DIR)/fltk/glBSPX.app/Contents/Resources

tar: clean
	cd $(MAIN)/..;  \
        tar czf ~/glbspsrc.tgz $(TEXT_LIST) $(BIN_LIST) --exclude=CVS

zip: clean
	cd $(MAIN)/..;  \
        zip ~/glbspsrc.zip $(DIR_LIST) $(BIN_LIST);  \
        zip -l ~/glbspsrc.zip $(TEXT_LIST)

testlist:
	cd $(MAIN)/..;  \
	echo -e TEXT: $(TEXT_LIST) "\n" BIN:  $(BIN_LIST)

.PHONY: tar zip testlist

## glbsp 2.24

=== debian/changelog ===
glbsp (2.24-8) unstable; urgency=medium

  * QA upload.

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on dpkg-dev.
  * Trim trailing whitespace.
  * debian/rules: Use dh_prep rather than "dh_clean -k".
  * Bump debhelper dependency to >= 7, since that's what is used in
    debian/compat.
  * Bump debhelper from deprecated 7 to 13.
  * Set debhelper-compat version in Build-Depends.
  * Remove field Section on binary package glbsp that duplicates source.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 27 Nov 2022 15:37:00 +0000

glbsp (2.24-7) unstable; urgency=medium

  * QA upload.
  * Convert to 3.0 (quilt) format (Closes: #1007639).

 -- Bastian Germann <bage@debian.org>  Thu, 25 Aug 2022 12:58:05 +0200

glbsp (2.24-6) unstable; urgency=low

  * QA upload.
  * debian/compat: 5 -> 7. (Closes: #965556)
  * debian/rules: Add build-{arch,indep}. (Closes: #998941)

 -- Adrian Bunk <bunk@debian.org>  Tue, 28 Dec 2021 02:42:31 +0200

glbsp (2.24-5) unstable; urgency=medium

  * Remove myself from Uploaders.

 -- Jonathan Dowland <jmtd@debian.org>  Mon, 11 May 2020 10:26:59 +0100

glbsp (2.24-4) unstable; urgency=medium

  * Provide doom-node-builder and alternative for /usr/bin/bsp, so
    glbsp can be interchanged with (e.g.) zdbsp by doom map editors
    (e.g. wadc)
  * Add Vcs-* headers

 -- Jonathan Dowland <jmtd@debian.org>  Tue, 20 Nov 2018 16:41:41 +0000

glbsp (2.24-3) unstable; urgency=medium

  * Adopt package. Closes: #881508.

 -- Jonathan Dowland <jmtd@debian.org>  Wed, 31 Jan 2018 22:02:20 +0000

glbsp (2.24-2) unstable; urgency=low

  * Change of maintainer address.
  * Bump standards version to 3.9.3 & dh compat to 5.
    - Add versioned dep on dpkg-dev.
    - libglbsp3-dev: depend on ${misc:Depends} & tighten dep on libglbsp3.
  * Use dpkg-buildflags.

 -- Darren Salt <devspam@moreofthesa.me.uk>  Tue, 20 Nov 2012 20:50:40 +0000

glbsp (2.24-1) unstable; urgency=low

  * New upstream release.
  * Bumped the lib soname and the library package name due to one silly
    little binary incompatibility caused by changes in an exported struct.
    (Safe; nothing else currently in the archive has ever used libglbsp2.)
  * Removed my patches since they're all applied upstream.
  * Updated the list of documentation files.
  * Build-time changes:
    - Switched from dh_movefiles to dh_install.
    - Updated my makefile to cope with upstream changes.
    - Corrected for debian-rules-ignores-make-clean-error.
    - Corrected for substvar-source-version-is-deprecated.
    - Link libglbsp, rather than glbsp, with libm and libz.
  * Fixed shlibdeps. (Closes: #460387)
  * Bumped standards version to 3.7.3 (no other changes).

 -- Darren Salt <linux@youmustbejoking.demon.co.uk>  Wed, 30 Jan 2008 13:33:49 +0000

glbsp (2.20-4) unstable; urgency=low

  * Uploaded to Debian (closes: #368221)
  * Bumped standards version to 3.7.2 (no other changes).
  * Converted to dpatch.
  * Added a patch to fix assumption about map data lump order, allowing
    correct processing of an example WAD supplied by Jon Dowland.
  * Added a patch to get rid of sprintf(), vsprintf(), strcpy() and strcat(),
    preferring the likes of asprintf(), where there is the possibility of
    buffer overflow.

 -- Darren Salt <linux@youmustbejoking.demon.co.uk>  Sun, 13 Aug 2006 12:38:26 +0100

glbsp (2.20-3) unstable; urgency=low

  * Tweaked the package descriptions slightly.

 -- Darren Salt <linux@youmustbejoking.demon.co.uk>  Sat, 20 May 2006 17:46:06 +0100

glbsp (2.20-2) unstable; urgency=low

  * Moved glbsp.h into /usr/include/glbsp/; symlink in the old location.

 -- Darren Salt <linux@youmustbejoking.demon.co.uk>  Thu, 26 Jan 2006 00:10:58 +0000

glbsp (2.20-1) unstable; urgency=low

  * New upstream release.
  * Added a version script to remove namespace pollution.

 -- Darren Salt <linux@youmustbejoking.demon.co.uk>  Sun, 18 Sep 2005 18:59:53 +0100

glbsp (2.10c-1) unstable; urgency=low

  * New upstream release.
  * Removed debian/glbsp.1.

 -- Darren Salt <linux@youmustbejoking.demon.co.uk>  Fri, 01 Oct 2004 21:59:41 +0100

glbsp (2.05-1) unstable; urgency=low

  * Initial Release.

 -- Darren Salt <linux@youmustbejoking.demon.co.uk>  Thu, 05 Feb 2004 20:00:15 +0000

=== debian/control ===
Source: glbsp
Section: utils
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper-compat (= 13), zlib1g-dev | libz-dev
Standards-Version: 3.9.3
Vcs-Git: https://salsa.debian.org/debian/glbsp.git
Vcs-Browser: https://salsa.debian.org/debian/glbsp

Package: libglbsp-dev
Section: libdevel
Architecture: any
Depends: libglbsp3 (= ${binary:Version}), ${misc:Depends}
Description: node builder library for OpenGL-based Doom-style games (headers)
 glBSP is a node builder specially designed to be used with OpenGL ports of
 the DOOM game engine. It adheres to the "GL-Friendly Nodes" specification,
 which means it adds some new special nodes to a WAD file that makes it very
 easy (and fast!) for an OpenGL DOOM engine to compute the polygons needed
 for drawing the levels.
 .
 There are many DOOM ports that understand the GL Nodes which glBSP creates,
 including EDGE, the Doomsday engine (JDOOM), Doom3D, PrBoom, and Vavoom.

Package: libglbsp3
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: node builder library for OpenGL-based Doom-style games
 glBSP is a node builder specially designed to be used with OpenGL ports of
 the DOOM game engine. It adheres to the "GL-Friendly Nodes" specification,
 which means it adds some new special nodes to a WAD file that makes it very
 easy (and fast!) for an OpenGL DOOM engine to compute the polygons needed
 for drawing the levels.
 .
 There are many DOOM ports that understand the GL Nodes which glBSP creates,
 including EDGE, the Doomsday engine (JDOOM), Doom3D, PrBoom, and Vavoom.

Package: glbsp
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Provides: doom-node-builder
Description: nodes builder for Doom-style games; has support for OpenGL
 glBSP is a node builder specially designed to be used with OpenGL ports of
 the DOOM game engine. It adheres to the "GL-Friendly Nodes" specification,
 which means it adds some new special nodes to a WAD file that makes it very
 easy (and fast!) for an OpenGL DOOM engine to compute the polygons needed
 for drawing the levels.
 .
 There are many DOOM ports that understand the GL Nodes which glBSP creates,
 including EDGE, the Doomsday engine (JDOOM), Doom3D, PrBoom, and Vavoom.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CC = $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)-gcc

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

# shared library versions
version=3.0.0
major=3

export CC
export CFLAGS
export version
export major

configure: configure-stamp
configure-stamp:
	dh_testdir
	touch configure-stamp


build: build-stamp
build-stamp: configure-stamp
	dh_testdir
	$(MAKE) -f debian/makefile
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	$(MAKE) -f debian/makefile clean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	$(MAKE) -f debian/makefile install DESTDIR=$(CURDIR)/debian/tmp

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs CHANGES.txt
	dh_installdocs
	rm -rf debian/*/usr/share/doc/libglbsp-dev debian/*/usr/share/doc/glbsp
	install -d debian/libglbsp-dev/usr/share/doc debian/glbsp/usr/share/doc
	ln -s libglbsp$(major) debian/libglbsp-dev/usr/share/doc/libglbsp-dev
	ln -s libglbsp$(major) debian/glbsp/usr/share/doc/glbsp
#	dh_installexamples
	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
	dh_makeshlibs -V
	dh_installdeb
	dh_shlibdeps -L libglbsp$(major) -l debian/libglbsp$(major)/usr/lib
#	sed -i -e 's/libglbsp'$(major)'/& (>= $${source:Version})/' debian/glbsp.substvars
	dh_gencontrol
	dh_md5sums
	dh_builddeb

build-arch: build
build-indep: build
binary: binary-indep binary-arch
.PHONY: build build-arch build-indep clean binary-indep binary-arch binary install configure
